Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoTextureCoordinatePlane Class Reference
[Nodes]

The SoTextureCoordinatePlane class generates texture coordinates by projecting onto a plane. More...

`#include <Inventor/nodes/SoTextureCoordinatePlane.h>`

Inheritance diagram for SoTextureCoordinatePlane:

List of all members.

## Public Methods
| SoTextureCoordinatePlane (void)
virtual void | doAction (SoAction *action)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | pick (SoPickAction *action)
virtual void | callback (SoCallbackAction *action)
## Static Public Methods
void | initClass (void)
## Public Attributes
SoSFVec3f | directionS
SoSFVec3f | directionT
## Protected Methods
virtual | ~SoTextureCoordinatePlane ()

## Detailed Description

The SoTextureCoordinatePlane class generates texture coordinates by projecting onto a plane.

The plane is specified using two direction vectors: directionS and directionT. The S and T texture coordinates are computed as the distance from the origin to the projected point, in the respective directions.

## Constructor & Destructor Documentation

SoTextureCoordinatePlane::SoTextureCoordinatePlane | ( | void |  | ) |

| Constructor.

SoTextureCoordinatePlane::~SoTextureCoordinatePlane | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoTextureCoordinatePlane::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoTextureCoordinateFunction.

void SoTextureCoordinatePlane::doAction | ( | SoAction * | action | ) | `[virtual]`

| This function performs the typical operation of a node for any action. Reimplemented from SoNode.

void SoTextureCoordinatePlane::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoNode.

void SoTextureCoordinatePlane::pick | ( | SoPickAction * | action | ) | `[virtual]`

| Action method for SoPickAction. Does common processing for SoPickAction action instances. Reimplemented from SoNode.

void SoTextureCoordinatePlane::callback | ( | SoCallbackAction * | action | ) | `[virtual]`

| Action method for SoCallbackAction. Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph. Reimplemented from SoNode.

## Member Data Documentation

SoSFVec3f SoTextureCoordinatePlane::directionS

| The S texture coordinate plane direction.

SoSFVec3f SoTextureCoordinatePlane::directionT

| The T texture coordinate plane direction.

The documentation for this class was generated from the following files:

- SoTextureCoordinatePlane.h
- SoTextureCoordinatePlane.cpp